<?php
if ($oPlugin->oPluginEinstellungAssoc_arr['jtl_dhlwunschpaket_active'] == 'Y') {
    $tmpOrder = new Bestellung(Session::get("kBestellung"));

    $bActive = false;
    if ((int)$_SESSION['jtl_packstation'] <= -2 ||
        ((isset($_SESSION['wunschtag_selected']) && $_SESSION['wunschtag_selected'] !== '0') && (isset($_SESSION['wunschzeit_selected']) && $_SESSION['wunschzeit_selected'] !== '0'))) {
        $bActive = true;
    }

    if ($bActive) {
        if ((int)$_SESSION['jtl_packstation'] == -2) {
            $bestellAttribut = new stdClass();
            $bestellAttribut->kBestellung = $tmpOrder->kBestellung;
            $bestellAttribut->cName = 'dhl_wunschpaket_type';
            $bestellAttribut->cValue = 'packstation';
            Shop::DB()->insert('tbestellattribut', $bestellAttribut);
        } elseif ((int)$_SESSION['jtl_packstation'] == -3) {
            $bestellAttribut = new stdClass();
            $bestellAttribut->kBestellung = $tmpOrder->kBestellung;
            $bestellAttribut->cName = 'dhl_wunschpaket_type';
            $bestellAttribut->cValue = 'filiale';
            Shop::DB()->insert('tbestellattribut', $bestellAttribut);
        } else {
            $bestellAttribut = new stdClass();
            $bestellAttribut->kBestellung = $tmpOrder->kBestellung;
            $bestellAttribut->cName = 'dhl_wunschpaket_type';
            $bestellAttribut->cValue = 'address';
            Shop::DB()->insert('tbestellattribut', $bestellAttribut);
        }

        if (isset($_SESSION['wunschtag_selected']) && $_SESSION['wunschtag_selected'] !== '0') {
            $tmpDate = explode(".", $_SESSION['wunschtag_selected']);
            $bestellAttribut = new stdClass();
            $bestellAttribut->kBestellung = $tmpOrder->kBestellung;
            $bestellAttribut->cName = 'dhl_wunschpaket_day';
            $bestellAttribut->cValue = $tmpDate[2] . "-" . sprintf('%02d', $tmpDate[1]) . "-" . sprintf('%02d', $tmpDate[0]);
            Shop::DB()->insert('tbestellattribut', $bestellAttribut);
        }

        if (isset($_SESSION['wunschzeit_selected']) && $_SESSION['wunschzeit_selected'] !== '0') {
            $bestellAttribut = new stdClass();
            $bestellAttribut->kBestellung = $tmpOrder->kBestellung;
            $bestellAttribut->cName = 'dhl_wunschpaket_time';
            $bestellAttribut->cValue = $_SESSION['wunschzeit_selected'];
            Shop::DB()->insert('tbestellattribut', $bestellAttribut);
        }

        if ($_SESSION['jtl_packstation'] == -4) {
            $bestellAttribut = new stdClass();
            $bestellAttribut->kBestellung = $tmpOrder->kBestellung;
            $bestellAttribut->cName = 'dhl_wunschpaket_neighbour_salutation';
            $bestellAttribut->cValue = $_SESSION['Lieferadresse']->cAnrede;
            Shop::DB()->insert('tbestellattribut', $bestellAttribut);

            $bestellAttribut = new stdClass();
            $bestellAttribut->kBestellung = $tmpOrder->kBestellung;
            $bestellAttribut->cName = 'dhl_wunschpaket_neighbour_firstName';
            $bestellAttribut->cValue = $_SESSION['Lieferadresse']->cVorname;
            Shop::DB()->insert('tbestellattribut', $bestellAttribut);

            $bestellAttribut = new stdClass();
            $bestellAttribut->kBestellung = $tmpOrder->kBestellung;
            $bestellAttribut->cName = 'dhl_wunschpaket_neighbour_lastName';
            $bestellAttribut->cValue = $_SESSION['Lieferadresse']->cNachname;
            Shop::DB()->insert('tbestellattribut', $bestellAttribut);

            $bestellAttribut = new stdClass();
            $bestellAttribut->kBestellung = $tmpOrder->kBestellung;
            $bestellAttribut->cName = 'dhl_wunschpaket_neighbour_street';
            $bestellAttribut->cValue = $_SESSION['Lieferadresse']->cStrasse;
            Shop::DB()->insert('tbestellattribut', $bestellAttribut);

            $bestellAttribut = new stdClass();
            $bestellAttribut->kBestellung = $tmpOrder->kBestellung;
            $bestellAttribut->cName = 'dhl_wunschpaket_neighbour_houseNumber';
            $bestellAttribut->cValue = $_SESSION['Lieferadresse']->cHausnummer;
            Shop::DB()->insert('tbestellattribut', $bestellAttribut);

            $bestellAttribut = new stdClass();
            $bestellAttribut->kBestellung = $tmpOrder->kBestellung;
            $bestellAttribut->cName = 'dhl_wunschpaket_neighbour_adressAddition';
            $bestellAttribut->cValue = $_SESSION['Lieferadresse']->cAdressZusatz;
            Shop::DB()->insert('tbestellattribut', $bestellAttribut);
        }

        if (isset($_SESSION['wunschlocation'])) {
            $bestellAttribut = new stdClass();
            $bestellAttribut->kBestellung = $tmpOrder->kBestellung;
            $bestellAttribut->cName = 'dhl_wunschpaket_location';
            $bestellAttribut->cValue = $_SESSION['wunschlocation'];
            Shop::DB()->insert('tbestellattribut', $bestellAttribut);
        }

        // Set "feederSystem"
        $bestellAttribut = new stdClass();
        $bestellAttribut->kBestellung = $tmpOrder->kBestellung;
        $bestellAttribut->cName = 'feederSystem';
        $bestellAttribut->cValue = 'JTL_Shop_WP_4';
        Shop::DB()->insert('tbestellattribut', $bestellAttribut);
    }

    unset($_SESSION['jtl_packstation']);
    unset($_SESSION['wunschtag_selected']);
    unset($_SESSION['wunschzeit_selected']);
    unset($_SESSION['wunschlocation']);
}